#ifndef NET_GGZ_H
#define NET_GGZ_H

#include "config.h"

#ifdef WITH_GGZ
#include <ggzmod.h>
#include <ggzcore.h>
#endif

class GGZ {
    public:
		GGZ();
		static GGZ* ref();

		void init();
		bool connect();
		void deinit();

		bool used();
		bool host();
		bool data();

		int fd();

		int seats();

    private:
#ifdef WITH_GGZ
		static void ggzmod_server(GGZMod *mod, GGZModEvent e, const void *data);
#endif

		bool use_ggz;
		int mod_fd;
};

#endif

