//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "Server.h"
#include <iostream>

#ifdef WITH_GGZ
#include <ggz.h>
#endif

using namespace std;

Server::Server()
    : GGZGameServer()
{
}

Server::~Server()
{
}

#ifdef WITH_GGZ
// GGZ event
void Server::joinEvent(int player)
{
	std::cout << "JOIN: " << player << std::endl;

	ggz_write_int(fd(player), 42);
}

// GGZ event
void Server::leaveEvent(int player)
{
	std::cout << "LEAVE: " << player << std::endl;
}

// GGZ event
void Server::dataEvent(int player)
{
	std::cout << "DATA: " << player << std::endl;
}

// GGZ event
void Server::errorEvent()
{
	std::cerr << "ERROR!" << std::endl;
}
#endif

// End of file
